# Ziion Tools


## Description

Build your own EVM tools for Ubuntu.


<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
| [<img src="https://avatars.githubusercontent.com/u/5644977?v=3" width="100px;"/><br /><sub>Bryan Black</sub>](https://github.com/reelsense/)<br />[📖](https://github.com/stationgroup/ansible-experiments/commits?author=reelsense)  | 
| :---: |

<!-- ALL-CONTRIBUTORS-LIST:END -->


## Initialization

```bash
  ansible-galaxy install -r roles/requirements.yml
```

## Requirements

`ansible`

## Role Variables

`File: plays/evm-tools.yml`
```yml
  vars:    
    ziionos_user: ziion
    bash_line: "export PATH=$PATH:$HOME/.local/bin"   # pipx support for user install
    bash_line_state: present
    docker_users: ziion
```

## Galaxy Dependencies

```yml
- community.docker
- src: geerlingguy.docker
  name: geerlingguy.docker
```

## Example Playbook

```yml
---
- hosts: vagrant
  vars:
    ziionos_user: ziion
    bash_line: "export PATH=$PATH:$HOME/.local/bin"   # pipx support for user install
    bash_line_state: present
    docker_users: ziion
  become: true
  roles:
    - common
    - geerlingguy.docker
    - truffle
    - sol2uml    #BROKEN a little on x86 and completely on ARM https://gitlab.com/shopglue/ziion-tools/-/iss$
    - solc
    - solc-select
    - slither
    - brownie
    - manticore
    - mythril
    - ganache
    - remix
    - geth
```

## License

This project is under the MIT License.
